<?php defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: default.php,v 1.16 2010-02-13 13:35:29 neschkeh Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// TODO Komplett überarbeiten
function quickiconButton( $link, $image, $text ) {
	?>
<div style="float: left;">
<div class="icon"><a href="<?php echo JRoute::_($link); ?>"> <?php echo JHTML::_('image.administrator', $image, '/administrator/images/', NULL,NULL, $text);

?>
<span><?php echo $text; ?></span> </a></div>
</div>
	<?php
}

function displayQuickStatsInstalled($label, $value) {
	if ($value){
		if ( ($value === true ) or ( $value === 1)) {
			$valueText = JText::_('LD INSTALLED');
		
		} else {
			$valueText = JText::sprintf('LD INSTALLED VERSION N',$value) ;
		}
		$style='installed';
	} else {
		$valueText = JText::_('LD NOT INSTALLED');
		$style='notInstalled';
	}
	?>
	<tr>
		<td width="40%" class="key"><?php echo $label;?>:</td>
		<td width="60%" class="<?php echo $style;?>"><?php echo $valueText;?></td>
	</tr>
	<?php 	

}

function displayQuickStats($label, $value) {
	?>
	<tr>
		<td width="50%"><?php echo $label;?></td>
		<td>:</td>
		<td width="50%"><?php echo $value;?></td>
	</tr>

	<?php
}


function displayQuickStats_NA() {
	?>
<tr>
	<td colspan="3" width="50%">&nbsp;</td>

</tr>
	<?php
}

function getURL($task='config'){
	return 'index.php?option=com_linkdirectory2&task='.$task;
}
?>

<div align="center" class="centermain">
<div class="main">

<table class="adminform">
	<tr>
		<td width="55%" valign="top" rowspan="2">
			<div id="cpanel"><?php
			$link = 'index.php?option=com_linkdirectory2&task=webcategories';
			quickiconButton( $link, 'query.png', JText::_('LD_CAT_MAN'), '_self' );
	
			$link = 'index.php?option=com_linkdirectory2&task=weblinks';
			quickiconButton( $link, 'browser.png', JText::_('LD_LINK_MAN'), '_self' );
	
			$link = 'index.php?option=com_linkdirectory2&task=comments';
			quickiconButton( $link, 'massemail.png', JText::_('LD_COMMENT_MAN'), '_self' );
				
			$link = 'index.php?option=com_linkdirectory2&task=config&hidemainmenu=1';
			quickiconButton( getURL('config'), 'config.png', JText::_('LD_CONFIG'), '_self' );
			// TODO wieder implementieren
			// $link = 'index2.php?option=com_linkdirectory2&task=import';
			// quickiconButton( $link, 'backup.png',JText::_('LD_IMPORT_MAN'), '_blank' );
	
			// TODO wieder implementieren
			// $link = 'index2.php?option=com_linkdirectory2&amp;task=export';
			// quickiconButton( $link, 'dbrestore.png',JText::_('LD_EXPORT_MAN'), '_blank' );
	
			// TODO wieder implementieren
			// $link = 'http://www.joomla-hklein.de" target="_blank';
			// quickiconButton( $link, 'support.png', JText::_('LD_HELP'), '_blank' );
	
			$link = 'index.php?option=com_linkdirectory2&task=about';
			quickiconButton( $link, 'credits.png', JText::_('LD_ABOUT'), '_self' );
			?>
			</div>
		</td>

		<!-- Display Link Directory Information -->
		<td width="45%" valign="top"><?php
			jimport('joomla.html.pane');
			$schooltabs = &JPane::getInstance('tabs');
			echo $schooltabs->startPane( "jchool" );
			echo $schooltabs->startPanel(JText::_('LD_STATS'),"stats");
			?>
			<table width="50%" class="adminlist" border="1">
				<?php
				// Links
				displayQuickStats(JText::_('LD_TOTALLINK'),$this->totalLinks );
				displayQuickStats(JText::_('LD_PLINK'),$this->totalPublishedLinks );
				if ($this->allowadd) {
					displayQuickStats(JText::_('LD_ALINK'),$this->totalApprovedLinks );
				}
				displayQuickStats_NA();
				
				// Kategorie
				displayQuickStats(JText::_('LD_TOTALCAT'),$this->totalCategories);
				displayQuickStats(JText::_('LD_PCAT'), $this->totalPublishedCategories);
				if ($this->suggestCategory > 0 ) {
					displayQuickStats($total['acats'], JText::_('LD_ACAT'));
				}

				// Kommentare
				require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CommentHtmlUtils.php';
				if (CommentHtmlUtils::isInternActive()) {
					displayQuickStats_NA();
					displayQuickStats(JText::_('LD_TOTALCOMMENTS'), $this->totalComments);
					displayQuickStats( JText::_('LD_PCOMMENT'), $this->totalPublishedComments);
					displayQuickStats(JText::_('LD_ACOMMENT'), $this->totalApprovedComments);
				}
				?>
			</table>
			<?php
			echo $schooltabs->endPanel();
			echo $schooltabs->startPanel(JText::_('LD_VERSION'),"version");
			?>
			<table width="50%" class="adminlist" border="1">
				<tr>
					<td width="50%"><strong><?php echo JText::_('LD_YVER');?></strong></td>
					<td width="50%"><strong><?php echo JText::_('LD_NVER');?></strong></td>
				</tr>
				<tr>
					<td><?php echo $this->componentVersion;?></td>
					<td><?php echo $this->componentLatestVersion;?></td>
				</tr>
			</table>
			<?php
			echo $schooltabs->endPanel();
			echo $schooltabs->startPanel(JText::_('LD_MODULES'),"modules");
			?>
			<table width="100%" class="admintable">
			<?php
				displayQuickStatsInstalled(JText::_('LD_MOD_HITLISTS'), $this->modules['ld_hitlists']);
				displayQuickStatsInstalled(JText::_('LD_MOD_DTREE'), $this->modules['ld_dtree']);
				displayQuickStatsInstalled(JText::_('LD_MOD_JCOMPONENTS'), $this->modules['JComponets']);
			?>
				<tr>
					<td width="50%" class="key"><?php echo JText::_('LD_MOD_JCOMPONENTS_LD2_PLUGIN');?></td>
					<td width="50%" class="<?php echo $this->modules['JComponetsLd2Plugin']?'installed':'notInstalled'?>">
						<?php  
						if ($this->modules['JComponets']) {
							if ($this->modules['JComponetsLd2Plugin']) {?>
								<strong><?php echo JText::_('LD INSTALLED');?></strong><?php 
							} ?>
							<form action="index2.php" method="post" name="adminForm">
								<input type="submit" value="<?php echo $this->modules['JComponetsLd2Plugin']?JText::_('Update plugin for JComment'):JText::_('Install plugin for JComment');?>" class="button"/>
								<input type="hidden" name="option" value="<?php echo $option;?>" />
								<input type="hidden" name="task" value="installjCommentPlugin" />
							</form><?php  
						}?>			
					</td>
				</tr>
			</table>
			<?php
			echo $schooltabs->endPanel();
			echo $schooltabs->startPanel(JText::_('LD PLUGINS'),"plugins");
			?>
			<table width="100%" class="admintable">
			<?php
			displayQuickStatsInstalled(JText::_('LD PLUGIN SEARCH'),$this->plugins['ld_search']);
	
			?>
			</table>
			<?php
			echo $schooltabs->endPanel();
			echo $schooltabs->endPane();
		?></td>
	</tr>
	<tr>
		<td align="center" valign="middle"><img
			src="<?php echo JURI::root();?>/administrator/components/com_linkdirectory2/images/ldh2nlogo.png"
			alt="LD Logo" /><br />
		Link Directory Component is Free Software Released under <a
			href="http://www.gnu.org/copyleft/gpl.html" target="_blank">GNU/GPL
		License</a></td>
	</tr>
</table>
<!-- Infos -->

</div>
</div>
